GraphCellEditor (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.graph.GraphCellEditor interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.graph
Interface GraphCellEditor

All Superinterfaces:
  CellEditor

All Known Implementing Classes:
  DefaultGraphCellEditor, DefaultRealEditor

public interface GraphCellEditor
extends CellEditor

Adds to CellEditor the extensions necessary to configure an editor in a graph.

Method Summary
`Component` | `getGraphCellEditorComponent(JGraph graph, Object value, boolean isSelected)` Sets an initial value for the editor.

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, cancelCellEditing, getCellEditorValue, isCellEditable, removeCellEditorListener, shouldSelectCell, stopCellEditing`

Method Detail

### getGraphCellEditorComponent

    public Component getGraphCellEditorComponent(JGraph graph,
                                                 Object value,
                                                 boolean isSelected)

  Sets an initial value for the editor. This will cause the editor to stopEditing and lose any partially edited value if the editor is editing when this method is called.

  Returns the component that should be added to the client's Component hierarchy. Once installed in the client's hierarchy this component will then be able to draw and receive user input.

  Parameters:
    `graph` - the JGraph that is asking the editor to edit This parameter can be null.
    `value` - the value of the cell to be edited.
    `isSelected` - true if the cell is to be rendered with selection highlighting
  Returns:
    the component for editing

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.